---
title: llarp::net::ipv6_header_preamble_be

---

# llarp::net::ipv6_header_preamble_be





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| unsigned char | **[version](Classes/structllarp_1_1net_1_1ipv6__header__preamble__be.md#variable-version)**  |
| unsigned char | **[pad_small](Classes/structllarp_1_1net_1_1ipv6__header__preamble__be.md#variable-pad-small)**  |
| uint8_t | **[pad](Classes/structllarp_1_1net_1_1ipv6__header__preamble__be.md#variable-pad)**  |

## Public Attributes Documentation

### variable version

```cpp
unsigned char version;
```


### variable pad_small

```cpp
unsigned char pad_small;
```


### variable pad

```cpp
uint8_t pad;
```


-------------------------------

Updated on 2022-11-17 at 22:27:42 +0000